<div
  *ngIf="!isLoading; else show_loader"
  class="table-container mat-elevation-z8"
>
  <table mat-table [dataSource]="dataSource" class="mat-elevation-z8">
    <ng-container
      *ngFor="let column of displayedColumns"
      matColumnDef="{{ column.property }}"
    >
      <th mat-header-cell *matHeaderCellDef>{{ column.displayName }}</th>
      <div *ngIf="column.property !== 'image'; else image">
        <td
          mat-cell
          *matCellDef="let element"
          [ngClass]="{ rowSelected: singleItem.id === element.id }"
        >
          {{ element[column.property] | dataHandler: column.property }}
        </td>
      </div>
      <ng-template #image
        ><td
          mat-cell
          *matCellDef="let element"
          [ngClass]="{ rowSelected: singleItem.id === element.id }"
        >
          <img
            class="image"
            src="{{ element[column.property].imageUrl }}"
            alt="image"
          /></td
      ></ng-template>
    </ng-container>

    <tr mat-header-row *matHeaderRowDef="columnsModified; sticky: true"></tr>
    <tr
      class="custom-mat-row"
      mat-row
      *matRowDef="let row; columns: columnsModified"
      (click)="getOneItem(row.id)"
    ></tr>
  </table>
</div>
<ng-template #show_loader
  ><mat-spinner class="spinner-color"></mat-spinner
></ng-template>
